<form [formGroup]="form">
  <ngx-start *ngIf="hideStart === false" formControlName="start"></ngx-start>
  <br *ngIf="hideStart === false">
  <ngx-repeat formControlName="repeat" [frequency]="frequency"></ngx-repeat>
  <!--  <br *ngIf="hideEnd === false">-->
  <div
    class="ngx-end"
    [ngClass]="{'ngx-end-weekly': getFrequency == 'Weekly', 'ngx-end-monthly': getFrequency == 'Monthly', 'ngx-end-yearly': getFrequency == 'Yearly'}">
    <ngx-end
      #ngxEnd
      [frequency]="getFrequency"
      *ngIf="hideEnd === false"
      formControlName="end"></ngx-end>
  </div>
</form>
